﻿<table width="100%" >
    <tr style="border-bottom:2px solid;">
        <td style="padding-top: 10px; padding-bottom: 10px;">
            @Html.DevExpress().Label(
                        label =>
                        {
                            label.Text = "*Order Date From";
                        }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().DateEdit(
                          settings =>
                          {
                              settings.Name = "I_ORDER_DT_FROM";
                              settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                              settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                              settings.Properties.DisplayFormatInEditMode = true;
                              settings.Properties.EditFormatString = "dd.MM.yyyy"; //"dd.MM.yyyy";
                              settings.Properties.DisplayFormatString = "dd.MM.yyyy";//"dd.MM.yyyy";
                              settings.ReadOnly = false;
                              settings.Properties.UseMaskBehavior = true;
                              settings.Properties.EditFormat = EditFormat.Custom;
                              settings.Properties.CalendarProperties.EnableYearNavigation = true;
                              settings.Width = 110;
                              //settings.Properties.ClientSideEvents.DateChanged = "I_VANNING_DT_FROM_OnChanged";
                          }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().Label(
                        label =>
                        {
                            label.Text = "To";
                        }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().DateEdit(
                          settings =>
                          {
                              settings.Name = "I_ORDER_DT_TO";
                              settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                              settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                              settings.Properties.DisplayFormatInEditMode = true;
                              settings.Properties.EditFormatString = "dd.MM.yyyy"; //"dd.MM.yyyy";
                              settings.Properties.DisplayFormatString = "dd.MM.yyyy";//"dd.MM.yyyy";
                              settings.ReadOnly = false;
                              settings.Properties.UseMaskBehavior = true;
                              settings.Properties.EditFormat = EditFormat.Custom;
                              settings.Properties.CalendarProperties.EnableYearNavigation = true;
                              settings.Width = 110;
                              //settings.Properties.ClientSideEvents.DateChanged = "I_VANNING_DT_FROM_OnChanged";
                          }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().Label(
                        label =>
                        {
                            label.Text = "*Packing Date From";
                        }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().DateEdit(
                          settings =>
                          {
                              settings.Name = "I_PACKING_DT_FROM";
                              settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                              settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                              settings.Properties.DisplayFormatInEditMode = true;
                              settings.Properties.EditFormatString = "dd.MM.yyyy"; //"dd.MM.yyyy";
                              settings.Properties.DisplayFormatString = "dd.MM.yyyy";//"dd.MM.yyyy";
                              settings.ReadOnly = false;
                              settings.Properties.UseMaskBehavior = true;
                              settings.Properties.EditFormat = EditFormat.Custom;
                              settings.Properties.CalendarProperties.EnableYearNavigation = true;
                              settings.Width = 110;
                              //settings.Properties.ClientSideEvents.DateChanged = "I_VANNING_DT_FROM_OnChanged";
                          }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().Label(
                        label =>
                        {
                            label.Text = "To";
                        }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().DateEdit(
                          settings =>
                          {
                              settings.Name = "I_PACKING_DT_TO";
                              settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                              settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                              settings.Properties.DisplayFormatInEditMode = true;
                              settings.Properties.EditFormatString = "dd.MM.yyyy"; //"dd.MM.yyyy";
                              settings.Properties.DisplayFormatString = "dd.MM.yyyy";//"dd.MM.yyyy";
                              settings.ReadOnly = false;
                              settings.Properties.UseMaskBehavior = true;
                              settings.Properties.EditFormat = EditFormat.Custom;
                              settings.Properties.CalendarProperties.EnableYearNavigation = true;
                              settings.Width = 110;
                              //settings.Properties.ClientSideEvents.DateChanged = "I_VANNING_DT_FROM_OnChanged";
                          }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().Label(
                        label =>
                        {
                            label.Text = "*Packing Company";
                        }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().ComboBox(
                        settings =>
                        {
                            settings.Name = "I_Packing_Company";
                            settings.Width = 110;
                            settings.Properties.DropDownWidth = 110;
                            settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                            settings.Properties.CallbackPageSize = 50;
                            settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.Contains;
                            settings.Properties.TextFormatString = "{0}";
                            settings.Properties.ValueType = typeof(string);
                        }
                      ).BindList(ViewData["Packing_Company"]).GetHtml()
        </td>
        <td>
            @Html.DevExpress().Button(
                         edtSetting =>
                         {
                             edtSetting.Name = "cmdSearch";
                             edtSetting.Text = "Search";
                             edtSetting.Width = 100;
                             edtSetting.ClientSideEvents.Click = "OnSearch";
                             edtSetting.Style.Add("display", "inline-table");
                             edtSetting.UseSubmitBehavior = true;
                             //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("ReadyCargoByAirInquiry", "FTR-SPEX-47-01", "SEARCH");
                         }
                         ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().Button(
                         edtSetting =>
                         {
                             edtSetting.Name = "cmdClear";
                             edtSetting.Text = "Clear";
                             edtSetting.Width = 100;
                             edtSetting.ClientSideEvents.Click = "onClear";
                             edtSetting.Style.Add("display", "inline-table");
                             edtSetting.UseSubmitBehavior = true;
                             //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("ReadyCargoByAirInquiry", "FTR-SPEX-47-01", "SEARCH");
                         }
                         ).GetHtml()
        </td>
    </tr>
    <tr>
        <td style="padding: 10px;">
            @Html.DevExpress().Button(
                         edtSetting =>
                         {
                             edtSetting.Name = "cmdDownload";
                             edtSetting.Text = "Download";
                             edtSetting.Width = 100;
                             edtSetting.ClientSideEvents.Click = "onDownload";
                             edtSetting.Style.Add("display", "inline-table");
                             edtSetting.UseSubmitBehavior = true;
                             edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("ReadyCargoDownload", "FTR-SPEX-165-11", "Download");
                         
                         }
                         ).GetHtml()
        </td>
    </tr>
</table>
